"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const path = require("path");
require("chai");
describe('read', () => {
    test_1.test
        .stdout()
        .command(['read', '-d', path.join('examples', 'openapi.yml')])
        .it('reads openapi spec', (ctx) => {
        test_1.expect(ctx.stdout).to.contain('My API');
    });
    test_1.test
        .stdout()
        .command(['read', '-d', path.join('examples', 'openapi.yml'), '--json'])
        .it('reads openapi spec and outputs json', (ctx) => {
        test_1.expect(ctx.stdout).to.contain('{');
        test_1.expect(ctx.stdout).to.contain('}');
    });
});
